// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_)
#define AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog
/////////////////////////////////////////////////////////////////////////////
typedef long __stdcall MLoad(char *filename,char *password);
typedef long __stdcall MEncode(long id,long pageno);
typedef long __stdcall MFree(long id);
typedef long __stdcall MGetCount(long id);
typedef long __stdcall MSetParam( long id,char *outpath,long imagetype,long bitcount,long quality,
								  long grayscale,long rotate,long width,long height,long xdpi,long ydpi);

/////////////////////////////////////////////////////////////////////////////
const IMAGE_FORMAT_JPG = 1;
const IMAGE_FORMAT_JP2 = 2;
const IMAGE_FORMAT_JPC = 3;

/////////////////////////////////////////////////////////////////////////////

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
	CProgressCtrl	m_progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

private:
	HMODULE		m_hinstLib;
	MLoad		*pLoad;
	MEncode		*pEncode;
	MFree		*pFree;	
	MGetCount	*pGetCount;
	MSetParam	*pSetParam;


private:
	BOOL LoadPdfToJpegDll();
	BOOL FreePdfToJpegDll();


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDemo();
	afx_msg void OnDemo2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__B0FE4D0F_8C97_427B_BC91_0A9FEEFD2266__INCLUDED_)
